Page MenuHomePhabricator

DonationInterface should log client-side errors
Closed, ResolvedPublic2 Story Points

Description

Logging client-side errors associated with a CT_ID might help us diagnose more of the stuff we get from donor services.

Create an API action to log errors and attach a handler function to window.onError that sends as much useful info as we can safely gather.

Event Timeline

Ejegg created this task.Dec 17 2015, 9:14 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 9:14 PM

Change 259795 had a related patch set uploaded (by Ejegg):
WIP log client-side errors

https://gerrit.wikimedia.org/r/259795

DStrine triaged this task as Normal priority.Dec 22 2015, 8:21 PM
DStrine moved this task from Triage to Q1 (July-Sept) 2019-20 on the Fundraising-Backlog board.
DStrine set Security to None.
Ejegg claimed this task.May 5 2017, 12:13 AM
Ejegg set the point value for this task to 2.

Change 259795 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Log client-side errors on payments forms

https://gerrit.wikimedia.org/r/259795

Change 383650 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Fixes to client-side error logging

https://gerrit.wikimedia.org/r/383650

Change 383712 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add an off switch for client-side error logging

https://gerrit.wikimedia.org/r/383712

Change 383650 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fixes to client-side error logging

https://gerrit.wikimedia.org/r/383650

Change 383712 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add an off switch for client-side error logging

https://gerrit.wikimedia.org/r/383712

Change 386215 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Don't require API read rights to report client-side errors

https://gerrit.wikimedia.org/r/386215

Change 386215 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Don't require API read rights to report client-side errors

https://gerrit.wikimedia.org/r/386215

Change 386239 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Don't require API read rights to report client-side errors

https://gerrit.wikimedia.org/r/386239

Change 386239 merged by Ejegg:
[mediawiki/extensions/DonationInterface@deployment] Don't require API read rights to report client-side errors

https://gerrit.wikimedia.org/r/386239

Ejegg closed this task as Resolved.Apr 19 2018, 8:27 PM

Oh hey, this is done.